JANUS-PP-REC(1)

NAME
janus-pp-rec - Janus recordings post-processing utility.

SYNOPSIS
janus-pp-rec [--header source.mjr] [--parse source.mjr] source.mjr destination.[opus|wav|webm|mp4|srt]

DESCRIPTION
janus-pp-rec is a simple utility that allows you to post-process recordings generated by Janus plugins (e.g., VideoRoom or others). More specifically, since Janus recordings (.mjr files) are basically a structured dump of RTP packets, this utility reorders them all and extracts the frames in order to stick them together and save them to a playable media file. No transcoding is done.

The target file depends on the codec used in the recording: for instance, VP8 and VP9 frames can only be converted to a .webm file, while H.264 frames can only be converted to a .mp4 file. Right now, you can convert VP8/VP9 recordings to .webm, H.264 recordings to .mp4, G.711 recordings to .wav, Opus recordings to .opus and Data Channel recordings to .srt.

OPTIONS

-h, --help
    Print help and exit

--header source.mjr
    Only parse the recording header and then exit

--parse source.mjr
    Only parse the recording header and reorder the packets, and then exit

EXAMPLES
janus-pp-rec --header rec1234.mjr - Parse the recordings header (shows metadata info)

janus-pp-rec --parse rec1234.mjr - Parse the recordings packets without processing them

janus-pp-rec rec1234.mjr rec1234.webm - Convert a VP8 .mjr recording to a .webm file

BUGS

If you think you found a bug or want to contribute a feature, you can issue or a pull request on https://github.com/meetecho/janus-gateway/issues.

Anyway, before doing that make sure you read the documentation at http://janus.conf.meetecho.com/docs/ and that it has not been discussed already at https://groups.google.com/forum/#!forum/meetecho-janus. We only use Github for code issues, and NOT for configuration or usage issues: use the group for that.

SEE ALSO

https://github.com/meetecho/janus-gateway - Official repository

http://janus.conf.meetecho.com - Demos and documentation

https://groups.google.com/forum/#!forum/meetecho-janus - Community

http://www.meetecho.com/blog/ - Tutorials and blog posts on Janus

AUTHORS
Lorenzo Miniero (lorenzo@meetecho.com)